> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Integration mappings resources

Integration Mappings allow the users to manage where content from partner apps is stored in Box.

## Integration mapping Slack

A Slack specific representation of an integration mapping object.

<Accordion title="Attributes and example">
  | Property              | Type                                                                                | Required | Description                                                                                                                                                                      |
  | --------------------- | ----------------------------------------------------------------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `id`                  | `string`                                                                            | Yes      | A unique identifier of a folder mapping (part of a composite key together with `integration_type`).                                                                              |
  | `type`                | `enum<string>`                                                                      | Yes      | Mapping type. Available options: `integration_mapping`.                                                                                                                          |
  | `integration_type`    | `enum<string>`                                                                      | No       | Identifies the Box partner app, with which the mapping is associated. Currently only supports Slack. (part of the composite key together with `id`). Available options: `slack`. |
  | `is_manually_created` | `boolean`                                                                           | No       | Identifies whether the mapping has been manually set (as opposed to being automatically created).                                                                                |
  | `options`             | `Integration mapping options for type Slack`                                        | No       |                                                                                                                                                                                  |
  | `created_by`          | [User (Integration Mappings)](/reference/users-resources#user-integration-mappings) | No       | An object representing the user who created the integration mapping.                                                                                                             |
  | `modified_by`         | [User (Integration Mappings)](/reference/users-resources#user-integration-mappings) | No       | The user who last modified the integration mapping.                                                                                                                              |
  | `partner_item`        | `Integration mapping mapped item schema for type Slack`                             | Yes      | Mapped item object for Slack.                                                                                                                                                    |
  | `box_item`            | [Folder (Mini)](/reference/folders-resources#folder-mini)                           | Yes      | The Box folder, to which the object from the partner app domain (referenced in `partner_item_id`) is mapped.                                                                     |
  | `created_at`          | `string`                                                                            | No       | When the integration mapping object was created.                                                                                                                                 |
  | `modified_at`         | `string`                                                                            | No       | When the integration mapping object was last modified.                                                                                                                           |

  ```json Example theme={null}
  {
    "id": "12345",
    "type": "integration_mapping",
    "integration_type": "slack",
    "is_manually_created": true,
    "options": {
      "is_access_management_disabled": true
    },
    "created_by": {
      "id": "11446498",
      "type": "user",
      "name": "Aaron Levie",
      "login": "ceo@example.com"
    },
    "modified_by": {
      "id": "11446498",
      "type": "user",
      "name": "Aaron Levie",
      "login": "ceo@example.com"
    },
    "partner_item": {
      "id": "C12378991223",
      "type": "channel",
      "slack_org_id": "E1234567"
    },
    "box_item": {
      "id": "12345",
      "etag": "1",
      "type": "folder",
      "sequence_id": "3",
      "name": "Contracts"
    },
    "created_at": "2012-12-12T10:53:43-08:00",
    "modified_at": "2012-12-12T10:53:43-08:00"
  }
  ```
</Accordion>

## Integration mapping Teams

A Microsoft Teams specific representation of an integration mapping object.

<Accordion title="Attributes and example">
  | Property                          | Type                                                    | Required | Description                                                                                                                                                                 |
  | --------------------------------- | ------------------------------------------------------- | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `id`                              | `string`                                                | Yes      | A unique identifier of a folder mapping (part of a composite key together with `integration_type`).                                                                         |
  | `type`                            | `enum<string>`                                          | Yes      | Mapping type. Available options: `integration_mapping`.                                                                                                                     |
  | `integration_type`                | `enum<string>`                                          | No       | Identifies the Box partner app, with which the mapping is associated. Supports Slack and Teams. (part of the composite key together with `id`). Available options: `teams`. |
  | `is_overridden_by_manual_mapping` | `boolean`                                               | No       | Identifies whether the mapping has been manually set by the team owner from UI for channels (as opposed to being automatically created).                                    |
  | `partner_item`                    | `Integration mapping mapped item schema for type Teams` | Yes      | Mapped item object for Teams.                                                                                                                                               |
  | `box_item`                        | `Folder reference`                                      | Yes      | The Box folder, to which the object from the partner app domain (referenced in `partner_item_id`) is mapped.                                                                |
  | `created_at`                      | `string`                                                | No       | When the integration mapping object was created.                                                                                                                            |
  | `modified_at`                     | `string`                                                | No       | When the integration mapping object was last modified.                                                                                                                      |

  ```json Example theme={null}
  {
    "id": "12345",
    "type": "integration_mapping",
    "integration_type": "teams",
    "is_overridden_by_manual_mapping": true,
    "partner_item": {
      "id": "19%3ABCD-Avgfggkggyftdtfgghjhkhkhh%40thread:tacv2",
      "type": "channel",
      "tenant_id": "E1234567",
      "team_id": "hjgjgjg-bhhj-564a-b643-hghgj685u"
    },
    "box_item": {
      "type": "folder",
      "id": "42037322"
    },
    "created_at": "2012-12-12T10:53:43-08:00",
    "modified_at": "2012-12-12T10:53:43-08:00"
  }
  ```
</Accordion>

## Integration mappings Slack

A list of integration mapping objects.

<Accordion title="Attributes and example">
  | Property      | Type                                                             | Required | Description                                                                                                                                                                            |
  | ------------- | ---------------------------------------------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `limit`       | `integer`                                                        | No       | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
  | `next_marker` | `string`                                                         | No       | The marker for the start of the next page of results. Can be `null`.                                                                                                                   |
  | `entries`     | array of [Integration mapping Slack](#integration-mapping-slack) | No       | A list of integration mappings.                                                                                                                                                        |

  ```json Example theme={null}
  {
    "limit": 1000,
    "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
    "entries": [
      {
        "id": "12345",
        "type": "integration_mapping",
        "integration_type": "slack",
        "is_manually_created": true,
        "options": {
          "is_access_management_disabled": true
        },
        "created_by": {
          "id": "11446498",
          "type": "user",
          "name": "Aaron Levie",
          "login": "ceo@example.com"
        },
        "modified_by": {
          "id": "11446498",
          "type": "user",
          "name": "Aaron Levie",
          "login": "ceo@example.com"
        },
        "partner_item": {
          "id": "C12378991223",
          "type": "channel",
          "slack_org_id": "E1234567"
        },
        "box_item": {
          "id": "12345",
          "etag": "1",
          "type": "folder",
          "sequence_id": "3",
          "name": "Contracts"
        },
        "created_at": "2012-12-12T10:53:43-08:00",
        "modified_at": "2012-12-12T10:53:43-08:00"
      }
    ]
  }
  ```
</Accordion>

## Integration mappings Teams

A list of integration mapping objects.

<Accordion title="Attributes and example">
  | Property  | Type                                                             | Required | Description                     |
  | --------- | ---------------------------------------------------------------- | -------- | ------------------------------- |
  | `entries` | array of [Integration mapping Teams](#integration-mapping-teams) | No       | A list of integration mappings. |

  ```json Example theme={null}
  {
    "entries": [
      {
        "id": "12345",
        "type": "integration_mapping",
        "integration_type": "teams",
        "is_overridden_by_manual_mapping": true,
        "partner_item": {
          "id": "19%3ABCD-Avgfggkggyftdtfgghjhkhkhh%40thread:tacv2",
          "type": "channel",
          "tenant_id": "E1234567",
          "team_id": "hjgjgjg-bhhj-564a-b643-hghgj685u"
        },
        "box_item": {
          "type": "folder",
          "id": "42037322"
        },
        "created_at": "2012-12-12T10:53:43-08:00",
        "modified_at": "2012-12-12T10:53:43-08:00"
      }
    ]
  }
  ```
</Accordion>
